Skip to main content
POST
/
v2
/
salesorders
/
markaspaid
Marks a given sales order as completely paid by creating a payment with the open amount of the sales order.
curl --request POST \
  --url https://api.jtl-cloud.com/erp/v2/salesorders/markaspaid \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-appid: <x-appid>' \
  --header 'x-appversion: <x-appversion>' \
  --header 'x-tenant-id: <x-tenant-id>' \
  --data '
{
  "salesOrderId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "paymentDate": "2023-11-07T05:31:56Z",
  "paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
  "distribute": true,
  "comment": "<string>",
  "sendMail": true
}
'

Documentation Index

Fetch the complete documentation index at: https://developer.jtl-software.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

x-api-key
string
header
required

Optional: If no token is present, the API Gateway injects it.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

api-version
string
x-appid
string
required

This is the name of your application, e.g. "MyApp/1.0.0". It is used to identify your application.

x-appversion
string
required

This is where the version number of your application is entered, e.g. "1.0.0".

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

X-SessionId
string<uuid>

The id of a session in which the call will be executed.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Body

application/json

Request parameters

Marks a given sales order as completely paid by creating a payment with the open amount of the sales order. - Request

salesOrderId
string<uuid>

Unique ID of the sales order to be marked as paid.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

paymentDate
string<date-time>

Date when the payment was made. If not provided, the current date and time will be used.

paymentMethodId
string<uuid>

ID of the payment method to be used for the payment. If not provided, the default payment method will be used.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

distribute
boolean

Whether to distribute the payment to associated invoices. If not provided, it will default to true.

comment
string

Comment for the payment. If not provided, no comment will be added to the payment.

sendMail
boolean

Whether to send a confirmation email after payment processing. If not provided, it will default to false.

Response

200 - application/json

Sales order was successfully marked as paid.